---

#! jobs/will-it-scale-part3.yaml
suite: will-it-scale
testcase: will-it-scale
category: benchmark
nr_task: 100%
will-it-scale:
  mode: thread
  test: pipe1
job_origin: will-it-scale-part3.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-cpl-4sp2
tbox_group: lkp-cpl-4sp2
job_file: "/lkp/jobs/scheduled/lkp-cpl-4sp2/will-it-scale-performance-thread-100%-pipe1-debian-12-x86_64-20240206.cgz-2e4c6e78f41a-20241008-230271-1x09idq-1.yaml"
id: 4c274c3af46c032627265167689c0154c75de524
queuer_version: "/zday/lkp"

#! /db/releases/20241001232426/lkp-src/hosts/lkp-cpl-4sp2
model: Cooper Lake
nr_node: 4
nr_cpu: 224
memory: 192G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-00UA7T0_WD-WXD2EA047AUD-part*"
ssd_partitions:
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part1"
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part2"
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part3"
rootfs_partition: "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part4"
kernel_cmdline_hw: acpi_rsdp=0x666e0014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Platinum 8380H CPU @ 2.90GHz

#! /db/releases/20241001232426/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20241001232426/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20241001232426/lkp-src/include/queue/cyclic
commit: 2e4c6e78f41afefb7a2b825b7aa4d90070720992

#! /db/releases/20241001232426/lkp-src/include/testbox/lkp-cpl-4sp2
ucode: '0x7002703'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-10-08 01:46:47.192032960 +08:00
_rt: "/result/will-it-scale/performance-thread-100%-pipe1/lkp-cpl-4sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/2e4c6e78f41afefb7a2b825b7aa4d90070720992"
compiler: gcc-12
head_commit: 58ca61c1a866bfdaa5e19fb19a2416764f847d75
base_commit: 9852d85ec9d492ebef56dc5f229416c925758edc
branch: linux-next/master
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20241005-111117"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/will-it-scale/performance-thread-100%-pipe1/lkp-cpl-4sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/2e4c6e78f41afefb7a2b825b7aa4d90070720992/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/2e4c6e78f41afefb7a2b825b7aa4d90070720992/vmlinuz-6.12.0-rc1-00001-g2e4c6e78f41a
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-cpl-4sp2/will-it-scale-performance-thread-100%-pipe1-debian-12-x86_64-20240206.cgz-2e4c6e78f41a-20241008-230271-1x09idq-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=2e4c6e78f41afefb7a2b825b7aa4d90070720992
- intremap=posted_msi
- acpi_rsdp=0x666e0014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/2e4c6e78f41afefb7a2b825b7aa4d90070720992/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/will-it-scale_20240224.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/will-it-scale-x86_64-75f66e4-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240901.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-431c1646e1f8-1_20240901.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241006204851/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cpl-4sp2/will-it-scale-performance-thread-100%-pipe1-debian-12-x86_64-20240206.cgz-2e4c6e78f41a-20241008-230271-1x09idq-1.cgz"
last_kernel: 6.1.0-10-amd64
acpi_rsdp: '0x666e0014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
result_root: "/result/will-it-scale/performance-thread-100%-pipe1/lkp-cpl-4sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/2e4c6e78f41afefb7a2b825b7aa4d90070720992/0"
dequeue_time: 2024-10-08 02:44:18.748503062 +08:00
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/2e4c6e78f41afefb7a2b825b7aa4d90070720992/vmlinuz-6.12.0-rc1-00001-g2e4c6e78f41a"
job_state: finished
loadavg: 64.27 111.00 57.38 1/1962 16529
start_time: '1728354518'
end_time: '1728354820'
version: "/lkp/lkp/.src-20241005-111117:420c80b2020c:2aee846502e0"
